
Figure - Bug #115859
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110895 (New): AF-V1.0功能测试-桌面

【AF】【EVT】【桌面】应用的点击开启范围过大且四周范围不一致，在应用周围较远空白处点击也会进入
应用
2023-02-03 15:40 - CD TEST-方永红

Status: CLOSED Start date: 2023-02-03

Priority: High Due date: 2023-02-09

Assignee: CD TEST-方永红 % Done: 100%

Category: 依赖UI/UE Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302030336

Resolution: FIXED Degrated: No

Severity: Major Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302100501

Reproducibility: Every time Fixed Version: 2023-02-09

Test Type: ST Root cause: AOSP问题

Description

【前提条件】

1、设备已开机

【测试步骤】

1、点击桌面上的应用图标，对触发范围进行测试

【预期结果】

1、触发范围30mm*30mm，图标居中

【实际结果】

1、左右和下方的触发区域明显比图标上方的触发区域大

History

#1 - 2023-02-05 18:54 - CD APP-王营

- Due date set to 2023-02-09

#2 - 2023-02-06 17:41 - CD APP-王营

- Status changed from New to ASSIGNED

#3 - 2023-02-07 15:33 - CD APP-王营

- Assignee changed from CD APP-王营 to CD APP-王宏

#4 - 2023-02-07 17:22 - CD APP-王宏

■ Current conclusion

分析中

■ My analysis

根据现象在启动图标上边点击，控件无响应，底部点击会正常响应点击事件，故排查BubbleTextView$onTouchEvent()发现shouldIgnoreTouchDown（）

方法拦截了点击事件的响应，原理是在padding内的就不响应

■ Next action

根据原有的逻辑，设置好相应控件的padding即可解决
#5 - 2023-02-08 14:21 - CD APP-王宏

- % Done changed from 0 to 50

■ Current conclusion

已提交,已和需求UE沟通，当前点击区域为180x180

■ My analysis

在BubbleTextView和FolderIcon中的shouldIgnoreTouchDown()拦截点击事件，选择合适的算法将不在点击区域内的事件给拦截掉

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/180173

#6 - 2023-02-08 18:11 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

180173 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

FW:Launcher:Can click Regional Settings1.Set response range for desktop startup icon click eventTC-RID: 1201-0205301IssueID: TS-R-BUG-115859Change-Id:

Ibe087c9396bcc99ce921ea8a66743b802c727c9d

#7 - 2023-02-08 18:12 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to CD TEST-方永红

- % Done changed from 50 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-02-09

- Root cause set to AOSP问题

#8 - 2023-02-09 17:10 - CDTS_TEST 王成

- Category changed from 客户jira bug to 依赖UI/UE

#9 - 2023-02-10 18:15 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202301300321

2.10

验证通过

#10 - 2023-02-10 18:16 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#11 - 2023-02-10 18:27 - CD TEST-方永红

- Verified Version changed from FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202301300321 to

FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302100501
Files

Phone-STS40X190078 2023-02-03 15-34-16.mp4 17.3 MB 2023-02-03 CD TEST-方永红
